#### D.5.9.9 WitSet

Procedure from library `numerDecom.lib` (see numerDecom_lib).

Usage:
  WitSet(ideal I); I ideal

Return:
  lists W(0..d) of witness point sets of i-dimensional components of V(J) for i=0,...d respectively, where d the dimension of V(J), L list of generic linear polynomials

Note:
  if W(i)=x, then V(J) has no component of dimension i

Example:

    LIB "numerDecom.lib";
    ring r=0,(x,y,z),dp;
    poly f1=(x3+z)*(x2-y);
    poly f2=(x3+y)*(x2-z);
    poly f3=(x3+y)*(x3+z)*(z2-y);
    ideal I=f1,f2,f3;
    def W=WitSet(I);
    setring W;
    W(1);
    // witness point  set of a pure 1-dimensional component of V(I)
    W(0);
    // witness point  set of a pure 0-dimensional component of V(I)
    L;
    // list of generic linear polynomials

User manual for Singular version 4.4.1, 2025, generated by texi2html.